import request from '@/utils/request'

// 查询患者-黑明单关系列表
export function listBlacklist(query) {
    return request({
        url: '/manage/blacklist/list',
        method: 'get',
        params: query
    })
}

// 查询患者-黑明单关系详细
export function getBlacklist(id) {
    return request({
        url: '/manage/blacklist/' + id,
        method: 'get'
    })
}

// 新增患者-黑明单关系
export function addBlacklist(data) {
    return request({
        url: '/manage/blacklist',
        method: 'post',
        data: data
    })
}

// 修改患者-黑明单关系
export function updateBlacklist(data) {
    return request({
        url: '/manage/blacklist',
        method: 'put',
        data: data
    })
}

// 删除患者-黑明单关系
export function delBlacklist(id) {
    return request({
        url: '/manage/blacklist/' + id,
        method: 'delete'
    })
}


//查异常原因的时候，abnormalCauseLevel传ABNORMAL_CAUSE，
// 补充说明查询的时候，parentId传上面选中的异常原因的id

export function causegetlist(query) {
    return request({
        url: '/manage/cause/getList',
        method: 'get',
        params: query
    })
}
